fitted {base} | R Documentation

## Extract Model Fitted Values

### Description

`fitted` is a generic function which extracts fitted values from objects returned by modeling functions. `fitted.values` is an alias for it.

All object classes which are returned by model fitting functions should provide a `fitted` method. (Note that the generic is `fitted` and not `fitted.values`.)

Methods can make use of `napredict` methods to compensate for the omission of missing values. The default, `lm` and `glm` methods do.

### Usage

    fitted(object, ...)
    fitted.values(object, ...)

### Arguments

`object` | an object for which the extraction of model fitted values is meaningful.
`...` | other arguments.

### Value

Fitted values extracted from the object `x`.

### References

Chambers, J. M. and Hastie, T. J. (1992) Statistical Models in S. Wadsworth & Brooks/Cole.

### See Also

`coefficients`, `glm`, `lm`, `residuals`.

[Package Contents]